# Subroutine mld_precdescr
Keywords: userhtml

Next: Error Handling Up: User Interface Previous: Subroutine mld_precfree Contents

##
Subroutine mld_precdescr

`mld_precdescr(p,info)`
`mld_precdescr(p,info,iout)`

This routine prints a description of the preconditioner to the standard output or to a file. It must be called after `mld_precbld` has been called.

Arguments

`p` | `type(mld_`x `prec_type), intent(in)`.
| The preconditioner data structure. Note that x must be chosen according to the real/complex, single/double precision version of MLD2P4 under use.
`info` | `integer, intent(out)`.
| Error code. If no error, 0 is returned. See Section 7 for details.
`iout` | `integer, intent(in), optional`.
| The id of the file where the preconditioner description will be printed; the default is the standard output.